diff --git a/kimap/quotajobbase.cpp b/kimap/quotajobbase.cpp
index 16737ce..5ae6d56 100644
--- a/kimap/quotajobbase.cpp
+++ b/kimap/quotajobbase.cpp
@@ -22,8 +22,8 @@
 #include "message_p.h"
 #include "session_p.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 using namespace KIMAP;
 
@@ -37,7 +37,7 @@ QMap<QByteArray, QPair<qint64, qint64> > QuotaJobBasePrivate::readQuota( const M
     QByteArray resource = quotas[i].toUpper();
     qint64 usage = quotas[i+1].toInt();
     qint64 limit = quotas[i+2].toInt();
-    quotaMap[resource] = qMakePair(usage, limit);
+    quotaMap[resource] = qMakePair( usage, limit );
     i += 3;
   }
 
@@ -45,45 +45,40 @@ QMap<QByteArray, QPair<qint64, qint64> > QuotaJobBasePrivate::readQuota( const M
 }
 
 QuotaJobBase::QuotaJobBase( Session *session )
-  : Job( *new QuotaJobBasePrivate(session, i18n("QuotaJobBase")) )
+  : Job( *new QuotaJobBasePrivate( session, i18n( "QuotaJobBase" ) ) )
 {
 }
 
-
 QuotaJobBase::QuotaJobBase( JobPrivate &dd )
-  : Job(dd)
+  : Job( dd )
 {
-
 }
 
 QuotaJobBase::~QuotaJobBase()
 {
 }
 
-
 qint64 QuotaJobBase::usage(const QByteArray& resource)
 {
-  Q_D(QuotaJobBase);
+  Q_D( QuotaJobBase );
 
   QByteArray r = resource.toUpper();
 
-  if (d->quota.contains(r)) {
+  if ( d->quota.contains( r ) ) {
      return d->quota[r].first;
   }
-
   return -1;
 }
 
 qint64 QuotaJobBase::limit(const QByteArray& resource)
 {
-  Q_D(QuotaJobBase);
+  Q_D( QuotaJobBase );
 
   QByteArray r = resource.toUpper();
 
-  if (d->quota.contains(r)) {
+  if ( d->quota.contains( r ) ) {
     return d->quota[r].second;
   }
-
   return -1;
 }
 
diff --git a/kimap/quotajobbase_p.h b/kimap/quotajobbase_p.h
index aedc752..dc4313b 100644
--- a/kimap/quotajobbase_p.h
+++ b/kimap/quotajobbase_p.h
@@ -24,12 +24,14 @@
 #include "message_p.h"
 #include "session.h"
 
+#include <QMap>
+
 namespace KIMAP
 {
   class QuotaJobBasePrivate : public JobPrivate
   {
     public:
-      QuotaJobBasePrivate( Session *session, const QString& name ) : JobPrivate(session, name)
+      QuotaJobBasePrivate( Session *session, const QString& name ) : JobPrivate( session, name )
       {}
 
       ~QuotaJobBasePrivate() { }
diff --git a/kimap/renamejob.cpp b/kimap/renamejob.cpp
index 1ec357d..a8c8505 100644
--- a/kimap/renamejob.cpp
+++ b/kimap/renamejob.cpp
@@ -19,8 +19,8 @@
 
 #include "renamejob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class RenameJobPrivate : public JobPrivate
   {
     public:
-      RenameJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name) { }
+      RenameJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ) { }
       ~RenameJobPrivate() { }
 
       QString sourceMailBox;
@@ -43,7 +43,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 RenameJob::RenameJob( Session *session )
-  : Job( *new RenameJobPrivate(session, i18n("Rename")) )
+  : Job( *new RenameJobPrivate( session, i18n( "Rename" ) ) )
 {
 }
 
@@ -53,33 +53,34 @@ RenameJob::~RenameJob()
 
 void RenameJob::doStart()
 {
-  Q_D(RenameJob);
-  d->tags << d->sessionInternal()->sendCommand( "RENAME", '\"' + KIMAP::encodeImapFolderName( d->sourceMailBox.toUtf8() ) + "\" \""
-                                              + KIMAP::encodeImapFolderName( d->destinationMailBox.toUtf8() )+ '\"' );
+  Q_D( RenameJob );
+  d->tags << d->sessionInternal()->sendCommand( "RENAME", '\"' + KIMAP::encodeImapFolderName( d->sourceMailBox.toUtf8() ) +
+                                                "\" \"" + KIMAP::encodeImapFolderName( d->destinationMailBox.toUtf8() ) + '\"' );
 }
 
 void RenameJob::setSourceMailBox( const QString &mailBox )
 {
-  Q_D(RenameJob);
+  Q_D( RenameJob );
   d->sourceMailBox = mailBox;
 }
 
 QString RenameJob::sourceMailBox() const
 {
-  Q_D(const RenameJob);
+  Q_D( const RenameJob );
   return d->sourceMailBox;
 }
 
 void RenameJob::setDestinationMailBox( const QString &mailBox )
 {
-  Q_D(RenameJob);
+  Q_D( RenameJob );
   d->destinationMailBox = mailBox;
 }
 
 QString RenameJob::destinationMailBox() const
 {
-  Q_D(const RenameJob);
+  Q_D( const RenameJob );
   return d->destinationMailBox;
 }
 
 #include "renamejob.moc"
+
diff --git a/kimap/rfccodecs.cpp b/kimap/rfccodecs.cpp
index f102514..04cc886 100644
--- a/kimap/rfccodecs.cpp
+++ b/kimap/rfccodecs.cpp
@@ -331,7 +331,7 @@ const QString KIMAP::decodeRFC2047String( const QString &str,
   }
 
   // FIXME get rid of the conversion?
-  QByteArray aStr = str.toAscii ();  // QString.length() means Unicode chars
+  QByteArray aStr = str.toLatin1 ();  // QString.length() means Unicode chars
   QByteArray result;
   char *pos, *beg, *end, *mid = 0;
   QByteArray cstr;
@@ -353,8 +353,9 @@ const QString KIMAP::decodeRFC2047String( const QString &str,
     for ( i = 2, pos += 2;
           i < maxLen &&
               ( *pos != '?' && ( ispunct( *pos ) || isalnum ( *pos ) ) );
-          i++ )
+          i++ ) {
       pos++;
+    }
     if ( *pos != '?' || i < 4 || i >= maxLen ) {
       valid = false;
     } else {
@@ -376,7 +377,7 @@ const QString KIMAP::decodeRFC2047String( const QString &str,
       }
       pos += 3;
       i += 3;
-//  qDebug() << "Charset:" << charset << "- Language:" << language << "-'" << pos << "'";
+//  kDebug() << "Charset:" << charset << "- Language:" << language << "-'" << pos << "'";
     }
     if ( valid ) {
       mid = pos;
@@ -401,10 +402,10 @@ const QString KIMAP::decodeRFC2047String( const QString &str,
             cstr[i] = ' ';
           }
         }
-//    qDebug() << "before QP '"
+//    kDebug() << "before QP '"
 //    << cstr << "'";
         cstr = KCodecs::quotedPrintableDecode( cstr );
-//    qDebug() << "after QP '"
+//    kDebug() << "after QP '"
 //    << cstr << "'";
       } else {
         // decode base64 text
@@ -418,7 +419,7 @@ const QString KIMAP::decodeRFC2047String( const QString &str,
 
       pos = end - 1;
     } else {
-//    qDebug() << "invalid";
+//    kDebug() << "invalid";
       //result += "=?";
       //pos = beg -1; // because pos gets increased shortly afterwards
       pos = beg - 2;
@@ -427,9 +428,9 @@ const QString KIMAP::decodeRFC2047String( const QString &str,
     }
   }
   if ( !charset.isEmpty () ) {
-    QTextCodec *aCodec = codecForName( charset.toAscii () );
+    QTextCodec *aCodec = codecForName( charset.toLatin1 () );
     if ( aCodec ) {
-//    qDebug() << "Codec is" << aCodec->name();
+//    kDebug() << "Codec is" << aCodec->name();
       return aCodec->toUnicode( result );
     }
   }
@@ -636,7 +637,7 @@ const QString KIMAP::decodeRFC2231String( const QString &str )
   QString st = str.mid ( l + 1 );
   QString language = str.mid ( p + 1, l - p - 1 );
 
-  //qDebug() << "Charset:" << charset << "Language:" << language;
+  //kDebug() << "Charset:" << charset << "Language:" << language;
 
   char ch, ch2;
   p = 0;
diff --git a/kimap/searchjob.cpp b/kimap/searchjob.cpp
index ede53a3..0e91010 100644
--- a/kimap/searchjob.cpp
+++ b/kimap/searchjob.cpp
@@ -19,8 +19,8 @@
 
 #include "searchjob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include <QtCore/QDate>
 
@@ -35,7 +35,7 @@ namespace KIMAP
   class SearchJobPrivate : public JobPrivate
   {
     public:
-      SearchJobPrivate( Session *session, const QString& name ) : JobPrivate(session, name), logic(SearchJob::And) {
+      SearchJobPrivate( Session *session, const QString& name ) : JobPrivate( session, name ), logic( SearchJob::And ) {
         criteriaMap[SearchJob::All]  = "ALL";
         criteriaMap[SearchJob::Answered] = "ANSWERED";
         criteriaMap[SearchJob::BCC] = "BCC";
@@ -89,7 +89,6 @@ namespace KIMAP
       }
       ~SearchJobPrivate() { }
 
-
       QByteArray charset;
       QList<QByteArray> criterias;
       QMap<SearchJob::SearchCriteria, QByteArray > criteriaMap;
@@ -105,7 +104,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 SearchJob::SearchJob( Session *session )
-  : Job( *new SearchJobPrivate(session, i18nc("Name of the search job", "Search")) )
+  : Job( *new SearchJobPrivate( session, i18nc( "Name of the search job", "Search" ) ) )
 {
 }
 
@@ -115,37 +114,41 @@ SearchJob::~SearchJob()
 
 void SearchJob::doStart()
 {
-  Q_D(SearchJob);
+  Q_D( SearchJob );
 
   QByteArray searchKey;
 
-  if (!d->charset.isEmpty()) {
+  if ( !d->charset.isEmpty() ) {
     searchKey = "CHARSET " + d->charset;
   }
 
-  if (d->logic == SearchJob::Not) {
-    searchKey += "NOT";
-  } else if (d->logic == SearchJob::Or) {
-    searchKey += "OR";
+  if ( d->logic == SearchJob::Not ) {
+    searchKey += "NOT ";
+  } else if ( d->logic == SearchJob::Or && d->criterias.size() > 1 ) {
+    searchKey += "OR ";
   }
 
   if ( d->logic == SearchJob::And ) {
-    for ( int i = 0; i<d->criterias.size(); i++ ) {
+    for ( int i = 0; i < d->criterias.size(); i++ ) {
       const QByteArray key = d->criterias.at( i );
-      if ( i>0 ) searchKey+= ' ';
+      if ( i > 0 ) {
+        searchKey += ' ';
+      }
       searchKey += key;
     }
   } else {
-    for ( int i = 0; i<d->criterias.size(); i++ ) {
+    for ( int i = 0; i < d->criterias.size(); i++ ) {
       const QByteArray key = d->criterias.at( i );
-      if ( i>0 ) searchKey+= ' ';
+      if ( i > 0 ) {
+        searchKey += ' ';
+      }
       searchKey += '(' + key + ')';
     }
   }
 
   QByteArray command = "SEARCH";
   if ( d->uidBased ) {
-    command = "UID "+ command;
+    command = "UID " + command;
   }
 
   d->tags << d->sessionInternal()->sendCommand( command, searchKey );
@@ -153,44 +156,43 @@ void SearchJob::doStart()
 
 void SearchJob::handleResponse( const Message &response )
 {
-  Q_D(SearchJob);
+  Q_D( SearchJob );
 
-  if (handleErrorReplies(response) == NotHandled ) {
+  if ( handleErrorReplies( response ) == NotHandled  ) {
     if ( response.content[0].toString() == "+" ) {
       d->sessionInternal()->sendData( d->contents[d->nextContent] );
       d->nextContent++;
     } else if ( response.content[1].toString() == "SEARCH" ) {
-      for(int i = 2; i < response.content.size(); i++) {
-        d->results.append(response.content[i].toString().toInt());
+      for ( int i = 2; i < response.content.size(); i++ ) {
+        d->results.append( response.content[i].toString().toInt() );
       }
     }
   }
 }
 
-
 void SearchJob::setCharset( const QByteArray &charset )
 {
-  Q_D(SearchJob);
+  Q_D( SearchJob );
   d->charset = charset;
 }
 
 QByteArray SearchJob::charset() const
 {
-  Q_D(const SearchJob);
+  Q_D( const SearchJob );
   return d->charset;
 }
 
 void SearchJob::setSearchLogic( SearchLogic logic )
 {
-  Q_D(SearchJob);
+  Q_D( SearchJob );
   d->logic = logic;
 }
 
 void SearchJob::addSearchCriteria( SearchCriteria criteria )
 {
-  Q_D(SearchJob);
+  Q_D( SearchJob );
 
-  switch (criteria) {
+  switch ( criteria ) {
     case All:
     case Answered:
     case Deleted:
@@ -205,36 +207,34 @@ void SearchJob::addSearchCriteria( SearchCriteria criteria )
     case Undraft:
     case Unflagged:
     case Unseen:
-      d->criterias.append(d->criteriaMap[criteria]);
+      d->criterias.append( d->criteriaMap[criteria] );
       break;
     default:
       //TODO Discuss if we keep error checking here, or accept anything, even if it is wrong
-      qDebug() << "Criteria " << d->criteriaMap[criteria] << " needs an argument, but none was specified.";
+      kDebug() << "Criteria " << d->criteriaMap[criteria] << " needs an argument, but none was specified.";
       break;
   }
 }
 
-
 void SearchJob::addSearchCriteria( SearchCriteria criteria, int argument )
 {
-  Q_D(SearchJob);
-  switch (criteria) {
+  Q_D( SearchJob );
+  switch ( criteria ) {
     case Larger:
     case Smaller:
-      d->criterias.append(d->criteriaMap[criteria] + ' ' + QByteArray::number(argument));
+      d->criterias.append( d->criteriaMap[criteria] + ' ' + QByteArray::number( argument ) );
       break;
     default:
       //TODO Discuss if we keep error checking here, or accept anything, even if it is wrong
-      qDebug() << "Criteria " << d->criteriaMap[criteria] << " doesn't accept an integer as an argument.";
+      kDebug() << "Criteria " << d->criteriaMap[criteria] << " doesn't accept an integer as an argument.";
       break;
   }
 }
 
-
 void SearchJob::addSearchCriteria( SearchCriteria criteria, const QByteArray &argument )
 {
-  Q_D(SearchJob);
-  switch (criteria) {
+  Q_D( SearchJob );
+  switch ( criteria ) {
     case BCC:
     case Body:
     case CC:
@@ -242,71 +242,71 @@ void SearchJob::addSearchCriteria( SearchCriteria criteria, const QByteArray &ar
     case Subject:
     case Text:
     case To:
-      d->contents.append(argument);
-      d->criterias.append(d->criteriaMap[criteria] + " {" + QByteArray::number(argument.size()) + '}');
+      d->contents.append( argument );
+      d->criterias.append( d->criteriaMap[criteria] + " {" + QByteArray::number( argument.size() ) + '}' );
       break;
     case Keyword:
     case Unkeyword:
     case Header:
     case Uid:
-      d->criterias.append(d->criteriaMap[criteria] + ' ' + argument);
+      d->criterias.append( d->criteriaMap[criteria] + ' ' + argument );
       break;
     default:
       //TODO Discuss if we keep error checking here, or accept anything, even if it is wrong
-      qDebug() << "Criteria " << d->criteriaMap[criteria] << " doesn't accept any argument.";
+      kDebug() << "Criteria " << d->criteriaMap[criteria] << " doesn't accept any argument.";
       break;
   }
 }
 
 void SearchJob::addSearchCriteria( SearchCriteria criteria, const QDate &argument )
 {
-  Q_D(SearchJob);
-  switch (criteria) {
+  Q_D( SearchJob );
+  switch ( criteria ) {
     case Before:
     case On:
     case SentBefore:
     case SentSince:
     case Since: {
-      QByteArray date = QByteArray::number(argument.day()) + '-';
+      QByteArray date = QByteArray::number( argument.day() ) + '-';
       date += d->months[argument.month()] + '-';
-      date += QByteArray::number(argument.year());
-      d->criterias.append(d->criteriaMap[criteria] + " \"" + date + '\"');
+      date += QByteArray::number( argument.year() );
+      d->criterias.append( d->criteriaMap[criteria] + " \"" + date + '\"' );
       break;
     }
     default:
       //TODO Discuss if we keep error checking here, or accept anything, even if it is wrong
-      qDebug() << "Criteria " << d->criteriaMap[criteria] << " doesn't accept a date as argument.";
+      kDebug() << "Criteria " << d->criteriaMap[criteria] << " doesn't accept a date as argument.";
       break;
   }
 }
 
 void SearchJob::addSearchCriteria( const QByteArray &searchCriteria )
 {
-  Q_D(SearchJob);
-  d->criterias.append(searchCriteria);
+  Q_D( SearchJob );
+  d->criterias.append( searchCriteria );
 }
 
 void SearchJob::setUidBased(bool uidBased)
 {
-  Q_D(SearchJob);
+  Q_D( SearchJob );
   d->uidBased = uidBased;
 }
 
 bool SearchJob::isUidBased() const
 {
-  Q_D(const SearchJob);
+  Q_D( const SearchJob );
   return d->uidBased;
 }
 
 QList<qint64> SearchJob::results() const
 {
-  Q_D(const SearchJob);
+  Q_D( const SearchJob );
   return d->results;
 }
 
 QList<int> SearchJob::foundItems()
 {
-  Q_D(const SearchJob);
+  Q_D( const SearchJob );
 
   QList<int> results;
   qCopy( d->results.begin(), d->results.end(), results.begin() );
@@ -314,4 +314,5 @@ QList<int> SearchJob::foundItems()
   return results;
 }
 
-#include "searchjob.moc"
\ No newline at end of file
+#include "searchjob.moc"
+
diff --git a/kimap/selectjob.cpp b/kimap/selectjob.cpp
index b18130d..bcc65c6 100644
--- a/kimap/selectjob.cpp
+++ b/kimap/selectjob.cpp
@@ -19,7 +19,8 @@
 
 #include "selectjob.h"
 
-#include <klocale.h>
+#include <KDE/KLocalizedString>
+#include <kdebug.h>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -32,8 +33,8 @@ namespace KIMAP
   {
     public:
       SelectJobPrivate( Session *session, const QString& name )
-        : JobPrivate(session, name), readOnly(false), messageCount(-1), recentCount(-1),
-          firstUnseenIndex(-1), uidValidity(-1), nextUid(-1) { }
+        : JobPrivate( session, name ), readOnly( false ), messageCount( -1 ), recentCount( -1 ),
+          firstUnseenIndex( -1 ), uidValidity( -1 ), nextUid( -1 ) { }
       ~SelectJobPrivate() { }
 
       QString mailBox;
@@ -52,7 +53,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 SelectJob::SelectJob( Session *session )
-  : Job( *new SelectJobPrivate(session, i18nc("name of the select job", "Select")) )
+  : Job( *new SelectJobPrivate( session, i18nc( "name of the select job", "Select" ) ) )
 {
 }
 
@@ -62,73 +63,73 @@ SelectJob::~SelectJob()
 
 void SelectJob::setMailBox( const QString &mailBox )
 {
-  Q_D(SelectJob);
+  Q_D( SelectJob );
   d->mailBox = mailBox;
 }
 
 QString SelectJob::mailBox() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->mailBox;
 }
 
 void SelectJob::setOpenReadOnly( bool readOnly )
 {
-  Q_D(SelectJob);
+  Q_D( SelectJob );
   d->readOnly = readOnly;
 }
 
 bool SelectJob::isOpenReadOnly() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->readOnly;
 }
 
 QList<QByteArray> SelectJob::flags() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->flags;
 }
 
 QList<QByteArray> SelectJob::permanentFlags() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->permanentFlags;
 }
 
 int SelectJob::messageCount() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->messageCount;
 }
 
 int SelectJob::recentCount() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->recentCount;
 }
 
 int SelectJob::firstUnseenIndex() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->firstUnseenIndex;
 }
 
 qint64 SelectJob::uidValidity() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->uidValidity;
 }
 
 qint64 SelectJob::nextUid() const
 {
-  Q_D(const SelectJob);
+  Q_D( const SelectJob );
   return d->nextUid;
 }
 
 void SelectJob::doStart()
 {
-  Q_D(SelectJob);
+  Q_D( SelectJob );
 
   QByteArray command = "SELECT";
   if ( d->readOnly ) {
@@ -140,56 +141,65 @@ void SelectJob::doStart()
 
 void SelectJob::handleResponse( const Message &response )
 {
-  Q_D(SelectJob);
+  Q_D( SelectJob );
 
-  if ( handleErrorReplies(response) == NotHandled) {
+  if ( handleErrorReplies( response ) == NotHandled ) {
       if ( response.content.size() >= 2 ) {
         QByteArray code = response.content[1].toString();
 
-        if ( code=="OK" ) {
-          if ( response.responseCode.size() < 2 ) return;
+        if ( code == "OK" ) {
+          if ( response.responseCode.size() < 2 ) {
+            return;
+          }
 
           code = response.responseCode[0].toString();
 
-          if ( code=="PERMANENTFLAGS" ) {
+          if ( code == "PERMANENTFLAGS" ) {
             d->permanentFlags = response.responseCode[1].toList();
           } else {
             bool isInt;
 
-            if ( code=="UIDVALIDITY" ) {
-              qint64 value = response.responseCode[1].toString().toLongLong(&isInt);
-              if ( !isInt ) return;
+            if ( code == "UIDVALIDITY" ) {
+              qint64 value = response.responseCode[1].toString().toLongLong( &isInt );
+              if ( !isInt ) {
+                return;
+              }
               d->uidValidity = value;
             } else {
-              qint64 value = response.responseCode[1].toString().toLongLong(&isInt);
-              if ( !isInt ) return;
-              if ( code=="UNSEEN" ) {
+              qint64 value = response.responseCode[1].toString().toLongLong( &isInt );
+              if ( !isInt ) {
+                return;
+              }
+              if ( code == "UNSEEN" ) {
                 d->firstUnseenIndex = value;
-              } else if ( code=="UIDNEXT" ) {
+              } else if ( code == "UIDNEXT" ) {
                 d->nextUid = value;
               }
             }
           }
-        } else if ( code=="FLAGS" ) {
+        } else if ( code == "FLAGS" ) {
           d->flags = response.content[2].toList();
         } else {
           bool isInt;
-          int value = response.content[1].toString().toInt(&isInt);
-          if ( !isInt || response.content.size()<3 ) return;
+          int value = response.content[1].toString().toInt( &isInt );
+          if ( !isInt || response.content.size() < 3 ) {
+            return;
+          }
 
           code = response.content[2].toString();
-          if ( code=="EXISTS" ) {
+          if ( code == "EXISTS" ) {
             d->messageCount = value;
-          } else if ( code=="RECENT" ) {
+          } else if ( code == "RECENT" ) {
             d->recentCount = value;
           }
         }
       } else {
-        qDebug("%s", response.toString().constData());
+        kDebug() << response.toString();
       }
   } else {
     Q_ASSERT( error() || d->m_session->selectedMailBox() == d->mailBox );
   }
 }
 
-#include "selectjob.moc"
\ No newline at end of file
+#include "selectjob.moc"
+
